package com.bonus.zlpt.company.api.factory;

import com.bonus.zlpt.common.core.web.domain.AjaxResult;
import com.bonus.zlpt.common.core.web.page.TableDataInfo;
import com.bonus.zlpt.company.api.BmCompanyServiceApi;
import com.bonus.zlpt.company.api.domain.SysDic;
import org.springframework.stereotype.Component;

@Component
public class BmCompanyServiceApiFallBackFactory implements BmCompanyServiceApi {


    @Override
    public TableDataInfo selectCompanyTypeList(SysDic sysDic) {
        return null;
    }

    @Override
    public TableDataInfo selectCompanyLtd(SysDic sysDic) {
        return null;
    }

    @Override
    public TableDataInfo selectIdCard(SysDic sysDic) {
        return null;
    }

    @Override
    public AjaxResult addOrUpdateCompanyType(SysDic sysDic) {
        return null;
    }

    @Override
    public AjaxResult deleteCompanyType(Integer id) {
        return null;
    }
}
